0 Replies Latest reply on Apr 24, 2014 11:08 AM by rcflaherty

    Problems with an older Mac and ADE

    rcflaherty

      Hello all,

      I need to download Adobe Digital Editions, but I have a 10.6.8 Mac, and Digital Editions 3.0 only works on 10.7 and up. 2.0 works on 10.6 and up, so I tracked down an old installer for that (still on an Adobe site, this is the real thing). Now, I downloaded the ADE 2.0 Installer.dmg, but when I try to open it all I get is "Warning, The following disk images couldn't be opened: Reason, not recognized."

       

      Any assistance would be appreciated, there's probably an easy solution I just can't see.